=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2010-08-07 23:59:26 +0000
+++ drizzled/session.cc	2010-08-09 16:50:51 +0000
@@ -1713,7 +1713,6 @@
   memset(&status_var, 0, sizeof(status_var));
 
   /* Reset the counters of all key caches (default and named). */
-  reset_key_cache_counters();
   flush_status_time= time((time_t*) 0);
   current_global_counters.max_used_connections= 1; /* We set it to one, because we know we exist */
   LOCK_status.unlock();

=== modified file 'drizzled/signal_handler.cc'
--- drizzled/signal_handler.cc	2010-08-07 02:15:25 +0000
+++ drizzled/signal_handler.cc	2010-08-09 16:50:51 +0000
@@ -116,8 +116,6 @@
                     "will hopefully help diagnose\n"
                     "the problem, but since we have already crashed, "
                     "something is definitely wrong\nand this may fail.\n\n"));
-  fprintf(stderr, "key_buffer_size=%u\n",
-          (uint32_t) dflt_key_cache->key_cache_mem_size);
   fprintf(stderr, "read_buffer_size=%ld\n", (long) global_system_variables.read_buff_size);
   fprintf(stderr, "max_used_connections=%"PRIu64"\n", current_global_counters.max_used_connections);
   fprintf(stderr, "connection_count=%u\n", uint32_t(connection_count));

=== modified file 'drizzled/status_helper.cc'
--- drizzled/status_helper.cc	2010-06-25 03:22:55 +0000
+++ drizzled/status_helper.cc	2010-08-09 16:50:51 +0000
@@ -59,8 +59,6 @@
 
 static st_show_var_func_container show_connection_count_cont_new= { &show_connection_count_new };
 
-extern drizzled::KEY_CACHE dflt_key_cache_var, *dflt_key_cache;
-
 string StatusHelper::fillHelper(system_status_var *status_var, char *value, SHOW_TYPE show_type)
 {
   ostringstream oss;
@@ -120,14 +118,10 @@
       break;
     }
   case SHOW_KEY_CACHE_LONG:
-    value= (char*) dflt_key_cache + (unsigned long)value;
-    oss << *(long*) value;
-    return_value= oss.str();
+    value= 0;
     break;
   case SHOW_KEY_CACHE_LONGLONG:
-    value= (char*) dflt_key_cache + (unsigned long)value;
-    oss << *(int64_t*) value;
-    return_value= oss.str();
+    value= 0;
     break;
   case SHOW_UNDEF:
     break;                                        // Return empty string

=== modified file 'plugin/myisam/ha_myisam.cc'
--- plugin/myisam/ha_myisam.cc	2010-08-08 18:29:57 +0000
+++ plugin/myisam/ha_myisam.cc	2010-08-09 16:50:51 +0000
@@ -104,7 +104,6 @@
   virtual ~MyisamEngine()
   { 
     pthread_mutex_destroy(&THR_LOCK_myisam);
-    end_key_cache(dflt_key_cache, 1);		// Can never fail
 
     mi_panic(HA_PANIC_CLOSE);
   }
@@ -1569,16 +1568,6 @@
   engine= new MyisamEngine(engine_name);
   context.add(engine);
 
-  /* call ha_init_key_cache() on all key caches to init them */
-  int error= init_key_cache(dflt_key_cache,
-                            myisam_key_cache_block_size,
-                            myisam_key_cache_size,
-                            myisam_key_cache_division_limit, 
-                            myisam_key_cache_age_threshold);
-
-  if (error == 0)
-    exit(1); /* Memory Allocation Failure */
-
   return 0;
 }
 
@@ -1586,101 +1575,36 @@
 static void sys_var_key_cache_size_update(Session *session, drizzle_sys_var *var, void *, const void *save)
 {
   uint32_t tmp= *static_cast<const uint32_t *>(save);
-  bool error= 0;
 
 	struct option option_limits;
   plugin_opt_set_limits(&option_limits, var);
 	option_limits.name= "myisam_key_cache_size";
 
-  if (dflt_key_cache->in_init)
-    return;
-
   myisam_key_cache_size= static_cast<uint32_t>(fix_unsigned(session, static_cast<uint64_t>(tmp), &option_limits));
 
-  /* If key cache didn't existed initialize it, else resize it */
-  dflt_key_cache->in_init= 1;
-
-  error= ! resize_key_cache(dflt_key_cache,
-														myisam_key_cache_block_size,
-                            myisam_key_cache_size,
-                            myisam_key_cache_division_limit,
-													  myisam_key_cache_age_threshold);
-  dflt_key_cache->in_init= 0;
 }
 
-static void sys_var_key_cache_block_size_update(Session *session, drizzle_sys_var *var, void *, const void *save)
+static void sys_var_key_cache_block_size_update(Session *, drizzle_sys_var *var, void *, const void *)
 {
-  uint32_t tmp= *static_cast<const uint32_t *>(save);
-  bool error= 0;
-
 	struct option option_limits;
   plugin_opt_set_limits(&option_limits, var);
 	option_limits.name= "myisam_key_cache_block_size";
 
-  if (dflt_key_cache->in_init)
-    return;
-
-  myisam_key_cache_block_size= static_cast<uint32_t>(fix_unsigned(session, static_cast<uint64_t>(tmp), &option_limits));
-
-  dflt_key_cache->in_init= 1;
-
-  error= ! resize_key_cache(dflt_key_cache,
-														myisam_key_cache_block_size,
-                            myisam_key_cache_size,
-                            myisam_key_cache_division_limit,
-													  myisam_key_cache_age_threshold);
-
-  dflt_key_cache->in_init= 0;
 }
 
-static void sys_var_key_cache_division_limit_update(Session *session, drizzle_sys_var *var, void *, const void *save)
+static void sys_var_key_cache_division_limit_update(Session *, drizzle_sys_var *var, void *, const void *)
 {
-  uint32_t tmp= *static_cast<const uint32_t *>(save);
-  bool error= 0;
-
 	struct option option_limits;
   plugin_opt_set_limits(&option_limits, var);
 	option_limits.name= "myisam_key_cache_division_limit";
 
-  if (dflt_key_cache->in_init)
-    return;
-
-  myisam_key_cache_division_limit= static_cast<uint32_t>(fix_unsigned(session, static_cast<uint64_t>(tmp), &option_limits));
-
-  dflt_key_cache->in_init= 1;
-
-  error= ! resize_key_cache(dflt_key_cache,
-														myisam_key_cache_block_size,
-                            myisam_key_cache_size,
-                            myisam_key_cache_division_limit,
-													  myisam_key_cache_age_threshold);
-
-  dflt_key_cache->in_init= 0;
 }
 
-static void sys_var_key_cache_age_threshold_update(Session *session, drizzle_sys_var *var, void *, const void *save)
+static void sys_var_key_cache_age_threshold_update(Session *, drizzle_sys_var *var, void *, const void *)
 {
-  uint32_t tmp= *static_cast<const uint32_t *>(save);
-  bool error= 0;
-
-	struct option option_limits;
+  struct option option_limits;
   plugin_opt_set_limits(&option_limits, var);
-	option_limits.name= "myisam_key_cache_age_threshold";
-
-  if (dflt_key_cache->in_init)
-    return;
-
-  myisam_key_cache_age_threshold= static_cast<uint32_t>(fix_unsigned(session, static_cast<uint64_t>(tmp), &option_limits));
-
-  dflt_key_cache->in_init= 1;
-
-  error= ! resize_key_cache(dflt_key_cache,
-														myisam_key_cache_block_size,
-                            myisam_key_cache_size,
-                            myisam_key_cache_division_limit,
-													  myisam_key_cache_age_threshold);
-
-  dflt_key_cache->in_init= 0;
+  option_limits.name= "myisam_key_cache_age_threshold";
 }
 
 static DRIZZLE_SYSVAR_UINT(key_cache_block_size,

=== modified file 'plugin/myisam/keycache.h'
--- plugin/myisam/keycache.h	2010-02-04 08:14:46 +0000
+++ plugin/myisam/keycache.h	2010-08-09 16:50:51 +0000
@@ -126,8 +126,6 @@
 } /* namespace drizzled */
 
 /* The default key cache */
-extern drizzled::KEY_CACHE dflt_key_cache_var, *dflt_key_cache;
-
 extern int init_key_cache(drizzled::KEY_CACHE *keycache, uint32_t key_cache_block_size,
 			  size_t use_mem, uint32_t division_limit,
 			  uint32_t age_threshold);
@@ -149,8 +147,6 @@
                             int file, enum flush_type type);
 extern void end_key_cache(drizzled::KEY_CACHE *keycache, bool cleanup);
 
-extern void reset_key_cache_counters();
-
 /*
   Next highest power of two
 

=== modified file 'plugin/myisam/mf_keycache.cc'
--- plugin/myisam/mf_keycache.cc	2010-08-07 22:01:28 +0000
+++ plugin/myisam/mf_keycache.cc	2010-08-09 16:50:51 +0000
@@ -209,9 +209,6 @@
   KEYCACHE_CONDVAR *condvar; /* condition variable for 'no readers' event    */
 };
 
-KEY_CACHE dflt_key_cache_var;
-KEY_CACHE *dflt_key_cache= &dflt_key_cache_var;
-
 #define FLUSH_CACHE         2000            /* sort this many blocks at once */
 
 static int flush_all_key_blocks(KEY_CACHE *keycache);
@@ -3738,28 +3735,6 @@
 }
 
 
-/*
-  Reset the counters of a key cache.
-
-  SYNOPSIS
-    reset_key_cache_counters()
-
-  DESCRIPTION
-   This procedure is used by process_key_caches() to reset the key_cache.
-
-  RETURN
-    0 on success (always because it can't fail)
-*/
-
-void reset_key_cache_counters()
-{
-  dflt_key_cache->global_blocks_changed= 0;   /* Key_blocks_not_flushed */
-  dflt_key_cache->global_cache_r_requests= 0; /* Key_read_requests */
-  dflt_key_cache->global_cache_read= 0;       /* Key_reads */
-  dflt_key_cache->global_cache_w_requests= 0; /* Key_write_requests */
-  dflt_key_cache->global_cache_write= 0;      /* Key_writes */
-}
-
 #if defined(KEYCACHE_TIMEOUT)
 
 

=== modified file 'plugin/myisam/mi_check.cc'
--- plugin/myisam/mi_check.cc	2010-08-08 04:21:53 +0000
+++ plugin/myisam/mi_check.cc	2010-08-09 16:50:51 +0000
@@ -1432,8 +1432,7 @@
     param->testflag|=T_CALC_CHECKSUM;
 
   if (!param->using_global_keycache)
-    init_key_cache(dflt_key_cache, param->key_cache_block_size,
-                   (size_t)param->use_buffers, 0, 0);
+    assert(0);
 
   if (init_io_cache(&param->read_cache,info->dfile,
 		    (uint) param->read_buffer_length,

=== modified file 'tests/r/key_cache.result'
--- tests/r/key_cache.result	2010-02-15 18:29:31 +0000
+++ tests/r/key_cache.result	2010-08-09 16:50:51 +0000
@@ -63,7 +63,7 @@
 INSERT INTO t1 VALUES (1);
 SELECT @@myisam_key_cache_block_size;
 @@myisam_key_cache_block_size
-1536
+1024
 CHECK TABLE t1;
 Table	Op	Msg_type	Msg_text
 test.t1	check	status	OK
@@ -95,7 +95,7 @@
 4181
 SELECT @@myisam_key_cache_block_size;
 @@myisam_key_cache_block_size
-1536
+1024
 CHECK TABLE t1;
 Table	Op	Msg_type	Msg_text
 test.t1	check	status	OK
@@ -125,7 +125,7 @@
 test.t1	check	status	OK
 SHOW VARIABLES LIKE 'myisam_key_cache_block_size';
 Variable_name	Value
-myisam_key_cache_block_size	1536
+myisam_key_cache_block_size	1024
 SET GLOBAL myisam_key_cache_block_size= @save_myisam_key_cache_block_size;
 DROP TABLE t1,t2;
 SET GLOBAL myisam_key_cache_division_limit= 0;
@@ -133,7 +133,7 @@
 Error	1292	Truncated incorrect key_cache_division_limit value: '0'
 SELECT @@myisam_key_cache_division_limit;
 @@myisam_key_cache_division_limit
-1
+100
 SET GLOBAL myisam_key_cache_division_limit= 101;
 Warnings:
 Error	1292	Truncated incorrect key_cache_division_limit value: '101'
@@ -145,10 +145,10 @@
 Error	1292	Truncated incorrect key_cache_age_threshold value: '98'
 SELECT @@myisam_key_cache_age_threshold;
 @@myisam_key_cache_age_threshold
-100
+300
 SET GLOBAL myisam_key_cache_age_threshold= 5000000000;
 Warnings:
 Error	1292	Truncated incorrect key_cache_age_threshold value: '5000000000'
 SELECT @@myisam_key_cache_age_threshold;
 @@myisam_key_cache_age_threshold
-4294967295
+300

